Page MenuHomePhabricator

Scale: update survey privacy link
Open, Needs TriagePublic

Description

One of the biggest sticking points in scaling Growth features to more wikis is the translation of the survey privacy statement and posting it online. This process has happened outside Translatewiki and involves other departments.

We have discovered that we can cover the usage of the survey data via the general privacy policy rather than the separate survey privacy statement. Here's what we need to change:

Right now, the welcome survey contains a box titled "We value your privacy":

We need to update this box to be like this:

  • Header: "We value your privacy"
  • Body: "The Wikimedia Foundation will use your answers to help you start editing Wikipedia. Learn more about data on new editors."
  • "Learn more about data on new editors" should be a link to this section of the data retention guidelines, which contains the exception to our guidelines covering Growth work.

Event Timeline

Change 608295 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] WelcomeSurvey: Update privacy policy URL and wording

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /608295

Change 608297 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[operations/mediawiki-config@master] GrowthExperiments: Remove overrides to welcome survey privacy policy URL

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/ /608297

Tgr added a comment.Jun 29 2020, 1:58 PM

It feels like a stretch to expect the user to be able to figure out which bullet items in the "Exceptions to these guidelines" section refer to them. Couldn't we have a meta / foundationwiki page for new editor research surveys, which links to the privacy policy / data retention policy but also summarizes key points? Or at least write something like "Learn more about data retention for new editor research"?

Also, is deploying this blocked on T252575: Scale: shorten welcome survey retention window?

Tgr added a comment.Jun 29 2020, 9:17 PM

On second thought that does not make sense. I thought we might be worried about referring to the standard data retention policy while we still have 270+ days old responses stored, but of course those are all from people who registered 9 months ago, and don't affect people registering now.

Change 608295 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] WelcomeSurvey: Update privacy policy URL and wording

https://gerrit.wikimedia.org/r/c/mediawiki/extensions/GrowthExperiments/ /608295

MMiller_WMF added a comment.EditedJun 30 2020, 5:13 AM

@Tgr -- you're right, this task is not blocked by shortening the window for the exactly the reason you said. But actually, until you realized that, I was going to say it was blocked; thanks for thinking it through. That said, I do think we should still do the other task now, so that we don't forget.

Regarding the link itself -- I'm not totally sure what you're proposing. I think one of the main reasons we're making this change is so that there is not a page specific to our feature that needs to be translated for each wiki. By linking to the overall guidelines, there are more likely to be translations (though I see that there are not that many translation of that overall page). What do you recommend?

MMiller_WMF updated the task description. (Show Details)Jul 6 2020, 5:13 AM

@Tgr -- I have updated the copy so that it says, "Learn more about data on new editors." Hopefully, this would help someone who clicks the link find the bullet point that begins with "New editors".

Change 608297 merged by jenkins-bot:
[operations/mediawiki-config@master] GrowthExperiments: Remove overrides to welcome survey privacy policy URL

https://gerrit.wikimedia.org/r/608297

Mentioned in SAL (#wikimedia-operations) [2020-07-06T11:16:22Z] <urbanecm@deploy1001> Synchronized wmf-config/InitialiseSettings.php: 5d971dc: GrowthExperiments: Remove overrides to welcome survey privacy policy URL (T252572) (duration: 00m 56s)

Change 609766 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] WelcomeSurvey: Update learn more copy text

https://gerrit.wikimedia.org/r/609766

Change 609766 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] WelcomeSurvey: Update learn more copy text

https://gerrit.wikimedia.org/r/609766

For PM review - all changes are visible on testwiki wmf.39 ( with Special:WelcomeSurvey?_group=exp2_target_specialpage)

The following specs are in place:

We need to update this box to be like this:

  Header: "We value your privacy"
  Body: "The Wikimedia Foundation will use your answers to help you start editing Wikipedia. Learn more about data on new 
editors."
"Learn more about data on new editors" should be a link to this section of the data retention guidelines, which contains the exception to our guidelines covering Growth work.

The link goes to https://meta.wikimedia.org/wiki/Data_retention_guidelines#Exceptions_to_these_guidelines

@Etonkovidova -- thanks. I checked it out and noticed that the blue boxes on the right aren't fitting inside the bigger white box on Test Wikipedia. Did we cause this? Or does this have to do with Desktop Refresh or something?